Skip to main content
GET
Get current authenticated session

Authorizations

X-Session-Token
string
header
required

Session token returned by authentication flows.

Query Parameters

tokenize_as
string

tokenizer template name used to request a tokenized (JWT) session response. The configured template on this environment is jwt_template_1. When supplied, the response includes a tokenized bearer token in the tokenized field.

Example:

"jwt_template_1"

Response

Current session.

session returned by whoami and login responses.

id
string

session id.

active
boolean

Whether the session is currently active.

identity
object

Authenticated identity object, including id, schema metadata, state, traits, recovery addresses, and timestamps.

tokenized
string

Bearer token returned when tokenize_as is supplied and returns a tokenized session.

expires_at
string<date-time>

Timestamp when the session expires.

authenticated_at
string<date-time>

Timestamp when the user authenticated for this session.

authenticator_assurance_level
string

authenticator assurance level for the session, for example aal1.

authentication_methods
object[]

Authentication methods completed for the session.

issued_at
string<date-time>

Timestamp when issued the session.

devices
object[]

Device/session metadata returned by the system, including device id, IP address, user agent, and location.